clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::FileStatus Struct Reference

Clangd extension: indicates the current state of the file in clangd, sent from server via the `textDocument/clangd.fileStatus` notification. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::FileStatus:
[legend]

## Public Attributes
URIForFile | uri
| The text document's URI. More...
std::string | state
| The human-readable string presents the current state of the file, can be shown in the UI (e.g. More...

## Detailed Description

Clangd extension: indicates the current state of the file in clangd, sent from server via the `textDocument/clangd.fileStatus` notification.

Definition at line 1202 of file Protocol.h.

## Member Data Documentation

## ◆ state

std::string clang::clangd::FileStatus::state

The human-readable string presents the current state of the file, can be shown in the UI (e.g.

status bar).

Definition at line 1207 of file Protocol.h.

Referenced by clang::clangd::TUStatus::render().

## ◆ uri

URIForFile clang::clangd::FileStatus::uri

The text document's URI.

Definition at line 1204 of file Protocol.h.

Referenced by clang::clangd::TUStatus::render().

The documentation for this struct was generated from the following file:

- Protocol.h